Subject: Re: nncpmail

From: Sergey Matveev <[email-masked]>
Date: Sun, 16 Jan 2022 17:59:55 +0300

*** John Goerzen [2022-01-15 18:27]:
>No, I mean having a self-contained NNCP mailing deamon that is a regular
>NNCP node. [...]
>Does that make sense?

Personally I do not like that idea at all. Actually I even did not try
to use yggmail just for the interest, because it takes job that
definitely (in my opinion) should not be done in it at all.

I am proceeding from the assumption that local MTA always exists and
used by the user. It is the only correct way to deal with email. MTA,
MUA, MDA, probably MRA (that delivers mail to MTA) -- is the Unix-way
email setup. POP3/IMAP4 -- is a contrasting way of working with email,
appeared in the age of cheap, non-Unix-aware PCs.

So MTA is here and it is used. So personally I do not wish to deal with
any kind of POP3/IMAP4 -- mail should be delivered directly to SMTP
servers, probably by chain. MRA fetching POP3/IMAP4 mail must deliver it
to MTA, that probably will use help from MDA to process and deliver as
you wish. Everything is passing through that chain of agents. To use
yggmail, I have to configure my MRA (that I do not want to have at all!)
to poll it, just to copy messages to MTA, that will send them to MDA.
yggmail sending incoming messages to MTA directly -- much more sane way
to deal with it, in my opinion.

Koushik Roy's nmail proposal seems more correct way of doing things.
Moreover, Correct SMTP server is pretty complex thing -- it is task far
from being easy to implement, as POP3/IMAP4, requiring non-trivial
database state.

>1. A mail server that would handle this (exim, postfix, etc).  This
>server would need to: verify the sender address matches the NNCP
>environment variable for verified sender key, understand how to deliver
>incoming mail to local mailboxes, understand how to route outbound mail
>to *.nncp via NNCP, and understand how not to relay things at its level.

Personally my email setups will require it anyway. My MUA send all mail
to MTA, that routes it as desired. Personal one is sent over NNCP, my
company's related is sent directly to its SMTP server, potential
@yggmail should be routed by my local MTA too, as it is the expected
place to route email. If @yggmail/@whatever-mail will be the only email
network used on the computer, then probably MTA's configuration, just to
relay to single default hop, looks like overkill, agreed. But I believe
hardly people people will use only it on their machines. So yggmail's
idea to have its own built-in SMTP/IMAP4 server is something very alien
to me, that is why I do not like it :-)

>2. An IMAP server that users could use to access their mail.

Personally I have never ever used IMAP at all :-). So all of that also
forces me to learn some completely unnecessary things and search are
their supported in MRAs (which, again, I wish not to have at all).

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF